<?xml version="1.0" encoding="gb2312"?>
<AEConfig>
    <YuvHdrWisdomEv>
        <WisdomEvOn>1</WisdomEvOn>  <!--1:On, 0:Off :: for the param below-->

<!--     enum SCENARIOS {
        BACK_CAMERA_NO_FACE_WEAK_BACKLIT = 0,
        BACK_CAMERA_NO_FACE_STRONG_BACKLIT = 1,
        BACK_CAMERA_WITH_FACE_WEAK_BACKLIT = 2,
        BACK_CAMERA_WITH_FACE_STRONG_BACKLIT = 3,
        FRONT_CAMERA_NO_FACE_WEAK_BACKLIT = 4,
        FRONT_CAMERA_NO_FACE_STRONG_BACKLIT = 5,
        FRONT_CAMERA_WITH_FACE_WEAK_BACKLIT = 6,
        FRONT_CAMERA_WITH_FACE_STRONG_BACKLIT = 7,
    }; -->

        <BacklightingISOThresh>200</BacklightingISOThresh>  <!-- ISO under 100 are considered outdoor or strong light-->
        <GloomyLumaThreshold>130</GloomyLumaThreshold>  <!-- env luma under THIS are considered gloomy-->

        <EVCoefficient0ShadowLighten>700</EVCoefficient0ShadowLighten>
        <EVCoefficient0HighlightSuppress>700</EVCoefficient0HighlightSuppress>

        <EVCoefficient1ShadowLighten>650</EVCoefficient1ShadowLighten>
        <EVCoefficient1HighlightSuppress>900</EVCoefficient1HighlightSuppress>

        <EVCoefficient2ShadowLighten>500</EVCoefficient2ShadowLighten>
        <EVCoefficient2HighlightSuppress>300</EVCoefficient2HighlightSuppress>

        <EVCoefficient3ShadowLighten>600</EVCoefficient3ShadowLighten>
        <EVCoefficient3HighlightSuppress>400</EVCoefficient3HighlightSuppress>

        <EVCoefficient4ShadowLighten>1000</EVCoefficient4ShadowLighten>
        <EVCoefficient4HighlightSuppress>1100</EVCoefficient4HighlightSuppress>

        <EVCoefficient5ShadowLighten>1000</EVCoefficient5ShadowLighten>
        <EVCoefficient5HighlightSuppress>1100</EVCoefficient5HighlightSuppress>

        <EVCoefficient6ShadowLighten>500</EVCoefficient6ShadowLighten>  <!-- 长曝光帧的控制，face and week backlit -->
        <EVCoefficient6HighlightSuppress>300</EVCoefficient6HighlightSuppress>  <!-- 短曝光帧的控制，the bigger the more compress-->

        <EVCoefficient7ShadowLighten>500</EVCoefficient7ShadowLighten>
        <EVCoefficient7HighlightSuppress>400</EVCoefficient7HighlightSuppress>

        <MinExposureProtection>2500</MinExposureProtection>  <!-- 1/2500s as min exposure, avoid short exposure makes low SNR-->
        <MaxHDREv>3100</MaxHDREv>  <!-- +- 3.1 EV, affects by EVCoefficientBaseShadow EVCoefficientBaseHighlight etc. -->
        <ShadowsRefRatio>30</ShadowsRefRatio>  <!-- 0.3, ratio of shadow to reference(normaly 128), raise for higher -EV-->
        <HighlightsRefRatio>30</HighlightsRefRatio>  <!-- 0.3, ratio of hightlights to reference(normaly 128) off white(255), raise for lower +EV-->
        <SunsetHDRThresh>1500</SunsetHDRThresh>  <!-- +- 1.5 EV -->
        <NightHDRThresh_H>800</NightHDRThresh_H>  <!-- +0.8 EV -->
        <NightHDRThresh_L>-1300</NightHDRThresh_L>  <!-- -1.3 EV -->
    </YuvHdrWisdomEv>

    <!--The adjusted hdrValue is (AdjustValue*hdrValue)>>8 -->
    <HdrCompAjust>
        <hdrType0_underExposureAdjust>256</hdrType0_underExposureAdjust>    <!-- Thre 2000-->
        <hdrType0_overExposureAdjust>256</hdrType0_overExposureAdjust>      <!-- Thre -1700 -->
        <hdrType1_underExposureAdjust>280</hdrType1_underExposureAdjust>    <!-- Thre 2000 -->
        <hdrType1_overExposureAdjust>300</hdrType1_overExposureAdjust>      <!-- Thre -1700 -->
        <hdrType2_underExposureAdjust>320</hdrType2_underExposureAdjust>    <!-- Thre 2000 -->
        <hdrType2_overExposureAdjust>256</hdrType2_overExposureAdjust>      <!-- Thre -1000 -->
        <hdrType3_underExposureAdjust>340</hdrType3_underExposureAdjust>    <!-- Thre 2000 -->
        <hdrType3_overExposureAdjust>256</hdrType3_overExposureAdjust>      <!-- Thre -1700 -->
        <hdrType5_underExposureAdjust>512</hdrType5_underExposureAdjust>    <!-- Thre 800 -->
        <hdrType5_overExposureAdjust>256</hdrType5_overExposureAdjust>      <!-- Thre -1330 -->

        <hdr_NIGHT_underExpoAdj>256</hdr_NIGHT_underExpoAdj>                <!-- Thre 800 -->
        <hdr_NIGHT_overExpoAdj>256</hdr_NIGHT_overExpoAdj>                  <!-- Thre -1330 -->
        <hdr_STAGE_underExpoAdj>256</hdr_STAGE_underExpoAdj>                <!-- Thre 800 -->
        <hdr_STAGE_overExpoAdj>256</hdr_STAGE_overExpoAdj>                  <!-- Thre -1330 -->
        <hdr_SUNSET_underExpoAdj>200</hdr_SUNSET_underExpoAdj>              <!-- Thre 1500 -->
        <hdr_SUNSET_overExpoAdj>256</hdr_SUNSET_overExpoAdj>                <!-- Thre -1500 -->
        <SingleHDR>1</SingleHDR>
    </HdrCompAjust>

    <MultiDenoiseFusion>
        <MultiDenoiseFusionFlag>0</MultiDenoiseFusionFlag>    <!--0 close, 1 open-->
        <multidenoiseFusionFrame>5</multidenoiseFusionFrame>

        <multidenoiseFusionAvgLuma1>128</multidenoiseFusionAvgLuma1>    <!-- thres to enter fusion-->
        <multidenoiseFusionHighRatio1>2</multidenoiseFusionHighRatio1>
        <multidenoiseFusionThres1>230</multidenoiseFusionThres1>

        <multidenoiseFusionAvgLuma2>150</multidenoiseFusionAvgLuma2>
        <multidenoiseFusionHighRatio2>4</multidenoiseFusionHighRatio2>
        <multidenoiseFusionThres2>230</multidenoiseFusionThres2>

        <multidenoiseFusionHighRatio3>6</multidenoiseFusionHighRatio3>  <!-- AvgLuma2 to 256 -->
        <multidenoiseFusionThres3>235</multidenoiseFusionThres3>

        <multidenoiseEnterISO>500</multidenoiseEnterISO>
        <multidenoiseProcMaxISO>2000</multidenoiseProcMaxISO>
    </MultiDenoiseFusion>

</AEConfig>
<!--fileLength 8203, If add parameters, please adjust the fileLength,2017/09/06-->
